---
updatedAt: 2026-04-27T10:10:36.000Z
agentTools:
  projectIndex: https://docs.stablr.com/llms.txt
---

# Get bank account

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "StablR Programmatic API",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://{environment}.stablr.com",
      "variables": {
        "environment": {
          "default": "api",
          "enum": [
            "acc-api",
            "test-api",
            "devdeploy-api"
          ]
        }
      }
    },
    {
      "url": "https://api.stablr.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "paths": {
    "/v2/customers/bank-accounts/{bankAccountId}": {
      "get": {
        "tags": [
          "BankAccounts"
        ],
        "summary": "Get bank account",
        "parameters": [
          {
            "name": "bankAccountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetBankAccountV2Response"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "AccountIdentifierV2Response": {
        "required": [
          "AccountNumber"
        ],
        "type": "object",
        "properties": {
          "RoutingCode": {
            "type": "string",
            "nullable": true
          },
          "AccountNumber": {
            "type": "string",
            "nullable": true
          },
          "AdditionalIdentifiers": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "BankInformationV2Response": {
        "required": [
          "Address",
          "City",
          "Country",
          "Name",
          "PostalCode"
        ],
        "type": "object",
        "properties": {
          "Name": {
            "type": "string",
            "nullable": true
          },
          "Address": {
            "type": "string",
            "nullable": true
          },
          "PostalCode": {
            "type": "string",
            "nullable": true
          },
          "City": {
            "type": "string",
            "nullable": true
          },
          "Country": {
            "type": "string",
            "nullable": true
          },
          "AdditionalIdentifiers": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "CustomerBankAccountStatus": {
        "enum": [
          "PENDING",
          "APPROVED",
          "REJECTED"
        ],
        "type": "string"
      },
      "FiatCurrency": {
        "enum": [
          "EUR",
          "USD"
        ],
        "type": "string"
      },
      "GetBankAccountV2Response": {
        "required": [
          "AccountIdentifier",
          "BankInformation",
          "BankStatementFileId",
          "Currency",
          "Id",
          "Name",
          "PaymentSchemes",
          "Status"
        ],
        "type": "object",
        "properties": {
          "Id": {
            "type": "string",
            "format": "uuid"
          },
          "Name": {
            "type": "string",
            "nullable": true
          },
          "PaymentSchemes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PaymentScheme"
            },
            "nullable": true
          },
          "Currency": {
            "$ref": "#/components/schemas/FiatCurrency"
          },
          "AccountIdentifier": {
            "$ref": "#/components/schemas/AccountIdentifierV2Response"
          },
          "BankInformation": {
            "$ref": "#/components/schemas/BankInformationV2Response"
          },
          "BankStatementFileId": {
            "type": "string",
            "format": "uuid"
          },
          "Status": {
            "$ref": "#/components/schemas/CustomerBankAccountStatus"
          }
        },
        "additionalProperties": false
      },
      "PaymentScheme": {
        "enum": [
          "SEPA",
          "SEPAINST",
          "SWIFT",
          "FEDWIRE",
          "ACH",
          "BLINC",
          "T2"
        ],
        "type": "string"
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```